﻿

function g(element) { 
	return document.getElementById(element) || element;
}	
function jsonDecode(jsonString) {
	return (new Function("return " + jsonString))();
}
function show(id) {
	isShow(id, true);
} 
function hide(id) {
	isShow(id, false);
}
function isShow(id, flag) {
	g(id).style.display = flag ? 'block' : 'none';
}
function addClass(element, className) { 
	element = g(element)||element;
    var classArray = className.split(/\s+/),
        result = element.className,
        classMatch = " " + result + " ",
        i = 0,
        l = classArray.length;

    for (; i < l; i++) {
         if ( classMatch.indexOf( " " + classArray[i] + " " ) < 0 ) {
             result += (result ? ' ' : '') + classArray[i];
         }
    }

    element.className = result;
}
function removeClass(element, className) { 
	element = g(element)||element; 

    var oldClasses = element.className.split(/\s+/),
        newClasses = className.split(/\s+/),
        lenOld,
        lenDel = newClasses.length,
        j,
        i = 0;  
    for (; i < lenDel; ++i) {
        for(j = 0, lenOld = oldClasses.length; j < lenOld; ++j) {
            if (oldClasses[j] == newClasses[i]) {
            	oldClasses.splice(j, 1);
            	break;
            }
        }
    }
    element.className = oldClasses.join(' ');
}
/**
 * 创建dom对象
 * @param  {string} tagName   要创建的dom名称
 * @param  {string} className 样式名
 * @return {void}           无
 */
function createElement (tagName, className) {
  var div = document.createElement(tagName);
  div.className = className;
  return div;
}
/**
 * 阻止冒泡事件
 * @param {event} 事件对象
 * @return void
 */
function cancelBubble(e){     
  if (e.stopPropagation) e.stopPropagation();
  else e.cancelBubble = true;
}
/**
 * 清除空格
 * @param {string} 目标字符串
 * @return string
 */
function trim(str){   
    return str.replace(/^(\s|\u00A0)+/,'').replace(/(\s|\u00A0)+$/,'');   
} 
/**
 * 执行命令
 * @param {string} 命令名称
 * @param {string} 值
 * @return string | void
 */
function sexecOrder(order, key) {
    var info = '';
    try { 
        key = (key.length == 0 ? '0' : key); 
        info = window.external.SyncRequest(order, key);
    } catch (e) {       
    } 
    return info;
}
/**
 * 设置字体
 * @param {int}   
 * @return void
 */
function setFontFamily(key) {   //设置字体:  0-宋体 ; 1-微软雅黑;
    key = key || '0';
    var obj = document.body;
    var font = '';
    if (key) {
        font = '"微软雅黑", "宋体", Arial, Verdana';
    } else {
        font = '"宋体", "微软雅黑", Arial, Verdana';
    }
    obj.style.fontFamily = font;
}
/**
 * 设置页面显示的字体(win7--雅黑字,其他为宋体)
 * @param 无
 * @return string
 */
function getSysver() {
    var key = 0;
    try {
        key = sexecOrder('sysver');
        if ('6.1' == key) {
            key = 1;
        }
    } catch (e) {   }   
    
    setFontFamily(key); 
}
// 供客户端调用
function setButtonState(key, statu) { 
    var status = rabbit.buttonstatus;
    var id = '';
    key = key || '0';
    id = status[key].id;
    if (typeof g(id) == 'string') {
        return;
    }
    statu =  statu || (g(id).getAttribute('statu') == '0' ? '1' : '0');     
    g(id).src = 'images/icons/' + status[key][statu];
    g(id).setAttribute ('statu', statu);        
}
/**
 * 处理icon点击
 * @param  {event} e          事件
 * @param  {bool} rightClick 是否为右键(点击)
 * @param  {number} key        iconid
 * @return {void}            无
 */
function execMouseDown(e, rightClick, key) {
    //取消冒泡事件
    e.stopPropagation(); 
    
    var order = rightClick ? 'mouseRDown' : 'mouseLDown';
    try {
        window.external.SyncRequest(order, key);
    } catch (e) {}  
}
/**
 * 初始输入法状态  
 * 参数:0 (中英文切换) 返回值: 0 英文 1 中文;
 * 参数:1 (全半角切换) 返回值: 0 半角 1 全角; 
 * 参数:2 (中英文标点) 返回值: 0 英文标点 1 中文标点;
 * 参数:3 (软键盘)
 * 参数:4 (登录)            返回值: 0 未登录 1 已登录
 * 参数:5 (配置)
 */
function setIMEStatus() {
    setButtonState('0', getExecStatus('language', '0')); 
    setButtonState('1', getExecStatus('characters', '1'));  
    setButtonState('2', getExecStatus('punctuation', '2')); 
    setButtonState('4', getExecStatus('login', '4'));  
}
//获取RD数据status,null 时返回当前状态
/**
 * 设置icon状态
 * @param  {string} id  icon的id
 * @param  {string} key 命令
 * @return {void}     无
 */
function getExecStatus(id, key) { 
    var statu = execSync('getButtonState', key) || g(id).getAttribute('statu'); 
    return statu;
}
/**
 * 处理右键点击
 * @param  {string} id elementid
 * @return {void}    无
 */
function rightButton(id) {
    if (event.button == 2) {
       execMouseDown(event, true, id);
    }
}
/**
 * 执行客户端命令,获取参数
 * @param  {string} order 命令名称
 * @param  {string} param 参数
 * @return {void|object}       无|-
 */
function execSync(order, param) {
    try {
        if (window.external.SyncRequest) {
            return window.external.SyncRequest(order, param);
        } 
    } catch (e) {
        return '';
    }
    return '';
}
/**
 * 动作关键词
 * @param {string} keyword 动作关键词(用来映射动画,默认为nomal)
 */
function setAnimation(keyword) {
    var actionName = rabbit.animationMap[keyword] || keyword; //原为中文映射皮肤
    //skin.animation(actionName, 'action'); 
}
var skin = window.skin || {};
var media,music;
/**
 * 绑定输入法icon点击/hover等事件
 * @return {void} 无
 */
skin.bindEvent = function () {
    var icons = g('iconEvent').getElementsByTagName('img');
    for (var i = 0, len = icons.length; i < len - 1; i++) {        
        icons[i].onclick = function () {
            // if(i==7){
            //    setButtonState(this.getAttribute('key'),!g('audio').getAttribute('statu')); 
            //    return
            // }
            //console.log(this.getAttribute('key'));
            execMouseDown(event, false, this.getAttribute('key'));
        }
        icons[i].onmouseup = function () {
            rightButton(this.getAttribute('key'));
        }
        icons[i].onmouseover = function () {
            sexecOrder('mouseOver', this.getAttribute('key'));
        }
        icons[i].onmouseout = function () {
            sexecOrder('mouseOver', 'null');
        }
    }
    document.onclick  =function () {
        execMouseDown(event, false, 'null');    
    }
    
    document.onmouseup =function () {  
        rightButton('null'); 
    }
    icons[6].onclick = function(){
        setButtonState(this.getAttribute('key'),!g('audio').getAttribute('statu')); 
    }
},
skin.audio = function(){
    addAudio();
    // var music = document.getElementById('go');
    //     Log('ended');
    //   if(music.ended){
    //     music.play();Log('1');
    //   } else {   Log(music.ended)
    //     // music.setAttribute("src","");
    //     // music.setAttribute("src","audio/guagua.mp3");
    //     music.currentTime=0;
    //     music.play();
    // }
}
skin.animation = function(id,className,delay){ 
    if(timeId2){
        window.clearTimeout(timeId2);
    } 
    if(delay){
        if(g('audio').getAttribute('statu')==0 && className == 'BigBang'){
            skin.audio();
        }
    var timeId2 = setTimeout(function(){
        removeClass(id,className);
    },delay);       
    }
    addClass(id,className);
}
skin.stopAnimation = function(id,className){
    removeClass(id,className);
}
function KeyEvent(c){
    if(c==32||c==13){
        skin.stopAnimation('zd','zd');
        skin.stopAnimation('dian-back','jq');
        skin.animation('dian-pre','BigBang',900);
        skin.animation('tanic','tanic',900);
    } else {
        if(timeId){
        window.clearTimeout(timeId);
        }
        skin.animation('dian-back','jq');
        skin.animation('zd','zd');
        var timeId = window.setTimeout(function(){  
            skin.stopAnimation('zd','zd');
            skin.stopAnimation('dian-back','jq')},1500);
    }

}
function addAudio(){
    var tag1 = media1.getAttribute("tag");
    var tag2 = media2.getAttribute("tag");
    var tag3 = media3.getAttribute("tag");
    var tag4 = media4.getAttribute("tag");
    var tag5 = media5.getAttribute("tag");
         if(tag1 == "0"){
            media1.setAttribute('tag','true');
            media1.play();
         }else if(tag2 == "0"){
            media2.setAttribute('tag','true');
            media2.play();
         }else if(tag3 == "0"){
            media3.setAttribute('tag','true');
            media3.play();
         }else if(tag4 == "0"){
            media4.setAttribute('tag','true');
            media4.play();
         }else if(tag5 == "0"){
            media5.setAttribute('tag','true');
            media5.play();
         }else{
            
         }                   
         media1.addEventListener('ended',function(){
            media1.setAttribute('tag',0);
         })
         media2.addEventListener('ended',function(){
            media2.setAttribute('tag',0);
         })
         media3.addEventListener('ended',function(){
            media3.setAttribute('tag',0);
         })
         media4.addEventListener('ended',function(){
            media4.setAttribute('tag',0);
         })
         media5.addEventListener('ended',function(){
            media5.setAttribute('tag',0);
         })
}


